Page MenuHomePhabricator

iOS Release 4.1.6
Closed, ResolvedPublic

Description

See iOS release process for process documentation. Keep iOS release status and history up to date.

Release version: 4.1.6
Release tag: 4.1.6.150
Release SHA1: 3d4757d411f7751395cad0f5ff03ac20aa37897f
App Store Submission Date: June 29, 2015
App Store Approval Date: July 8, 2015
App Store Release Date: July 8, 2015
Regression Testing URL: iOS Test Cases / 4.1.6 (149)


  • Point current status at this card
  • Coordinate with Comms on blog post for major releases (major features)
  • Add roadmap and notice tags
  • Submit Beta on iTunes Connect for external testing review
  • Distribute RC to TSG on Hockey App
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Post to mobile-l when Beta is approved for external testing
  • Draft What's New, post to Google Docs, and notify writers room
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Draft App Store Description, post to Google Docs, and notify writers room (if needed)
  • Upload new screenshots to iTunes Connect (if needed)
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received from TSG in Hockey App
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Update HockeyApp console to mark build as released once released
  • Notify Comms that release is live if major release
  • Notify Michael Guss to post on Twitter and Facebook
  • Post on mobile-l

Related Objects

Event Timeline

Fjalapeno claimed this task.
Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno updated the task description. (Show Details)
Fjalapeno added subscribers: Fjalapeno, BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2015, 3:23 PM
BGerstle-WMF set Security to None.
Fjalapeno renamed this task from iOS Release 4.1.6 to iOS Release 4.1.6 (expedited).Jun 26 2015, 1:31 PM
Fjalapeno updated the task description. (Show Details)
Fjalapeno added projects: Notice, Roadmap.
Fjalapeno moved this task from Unscheduled to June 29-July 3 on the Roadmap board.
gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 26 2015, 8:26 PM
Fjalapeno renamed this task from iOS Release 4.1.6 (expedited) to iOS Release 4.1.6.Jun 29 2015, 1:14 PM
Fjalapeno updated the task description. (Show Details)
gpaumier moved this task from Triaged to Archive on the Notice board.
Fjalapeno closed this task as Resolved.Jul 9 2015, 5:22 PM
Fjalapeno updated the task description. (Show Details)Jul 9 2015, 5:31 PM